<?php
/*
  $Id$

  Featured Products Phoenix Cart v2.3.7
  by @raiwa
  raiwa@phoenixcartaddons.com
  www.phoenixcartaddons.com

  Copyright (c) 2021: Rainer Schmied - @raiwa

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/

  if (is_object($table_definition['info'] ?? null)) {
    $fInfo = $table_definition['info'];
    $heading = $fInfo->products_name;

    $link = $GLOBALS['Admin']->link('featured.php')->retain_query_except()->set_parameter('fID', $fInfo->featured_id);
    $contents[] = [
      'class' => 'text-center',
      'text' => $GLOBALS['Admin']->button(IMAGE_EDIT, 'fas fa-cogs', 'btn-warning mr-2', (clone $link)->set_parameter('action', 'edit'))
              . $GLOBALS['Admin']->button(IMAGE_DELETE, 'fas fa-trash', 'btn-danger mr-2', $link->set_parameter('action', 'delete')),
    ];
    $contents[] = ['text' => TEXT_INFO_DATE_ADDED . ' ' . Date::abridge($fInfo->featured_date_added)];
    $contents[] = ['text' => TEXT_INFO_LAST_MODIFIED . ' ' . Date::abridge($fInfo->featured_last_modified)];
    $contents[] = [
      'class' => 'text-center',
      'text' => $GLOBALS['Admin']->catalog_image("images/{$fInfo->products_image}", [], $fInfo->products_name, SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT),
    ];
    $contents[] = ['text' => TEXT_INFO_EXPIRES_DATE . ' <strong>' . Date::abridge($fInfo->expires_date) . '</strong>'];
    $contents[] = ['text' => TEXT_INFO_STATUS_CHANGE . ' ' . Date::abridge($fInfo->date_status_change)];
  }
